//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *Button1;
        TEdit *Edit1;
        TMemo *Output;
        TButton *Button2;
        TCheckBox *CheckBox1;
        TButton *Button3;
        TButton *Button4;
        TEdit *Edit2;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
private:// User declarations
public:	// User declarations
        __fastcall TForm1(TComponent* Owner);

};
//---------------------------------------------------------------------------
extern bool GetNameFromSid(PSID pSid,TCHAR **buffer);
extern bool GetSidFromName(PSID *pSid,TCHAR *buffer);
extern PACKAGE TForm1 *Form1;
extern PSECURITY_DESCRIPTOR pSD;
extern PACL pAcl;
extern PACCESS_ALLOWED_ACE pAce;
extern TCHAR fileName[];

//---------------------------------------------------------------------------
#endif
